@use '../core';

// Use containers to have some horizontal padding in a component
._container {
  padding: 0 var(--spacer-default);

  // One centered column
  &--small {
    padding: 0 var(--spacer-default);

    @include core.respond-to('medium-up') {
      width: 33%;
      margin-right: auto;
      margin-left: auto;
    }
  }

  &--medium {
    padding: 0 var(--spacer-default);

    @include core.respond-to('medium-up') {
      max-width: 960px;
      margin-right: auto;
      margin-left: auto;
    }
  }
}
